#include<bits/stdc++.h>
using namespace std;
int main()
{
    string a,b;
    getline(cin,a);
    getline(cin,b);
    if (b=="a")
    {
        for(int i=0;i<a.size();i++)
            if (a[i]=='a')
                a[i]='*';
    }
    else
    {
        int d=b.size(),br=0;
        for (int i=0;i<a.size();i++)
        {
            if (a[i]=='a')
            {
                if (br+1==d)
                    a[i]='*';
                else
                    br++;
            }
        }
    }
    cout<<a;
}